org.apache.commons.math3.util

## Class FastMath.ExpIntTable

- java.lang.Object
- - org.apache.commons.math3.util.FastMath.ExpIntTable

- Enclosing class:
    FastMath

      private static class FastMath.ExpIntTable
      extends java.lang.Object

  Enclose large data table in nested static class so it's only loaded on first access.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static double[]` | `EXP_INT_TABLE_A` Exponential evaluated at integer values, exp(x) = expIntTableA[x + EXP_INT_TABLE_MAX_INDEX] + expIntTableB[x+EXP_INT_TABLE_MAX_INDEX].
    `private static double[]` | `EXP_INT_TABLE_B` Exponential evaluated at integer values, exp(x) = expIntTableA[x + EXP_INT_TABLE_MAX_INDEX] + expIntTableB[x+EXP_INT_TABLE_MAX_INDEX]

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `FastMath.ExpIntTable()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXP_INT_TABLE_A

          private static final double[] EXP_INT_TABLE_A

      Exponential evaluated at integer values, exp(x) = expIntTableA[x + EXP_INT_TABLE_MAX_INDEX] + expIntTableB[x+EXP_INT_TABLE_MAX_INDEX].

    - #### EXP_INT_TABLE_B

          private static final double[] EXP_INT_TABLE_B

      Exponential evaluated at integer values, exp(x) = expIntTableA[x + EXP_INT_TABLE_MAX_INDEX] + expIntTableB[x+EXP_INT_TABLE_MAX_INDEX]

  - ### Constructor Detail

    - #### FastMath.ExpIntTable

          private FastMath.ExpIntTable()

Copyright (c) 2003-2013 Apache Software Foundation